Skip to main content
Weavr Multi Product BackOffice API
Authorised Users

Create a user

POST/users

Creates a user linked to the identity represented by the access_token.

Creating authorised users on behalf of an identity is a restricted feature and by default, this functionality is not available for use.

Request

Header parameters

Request body

*
application/json
{}
objectobject · 9 fields

Responses

200OK

Success

Headers
Body
application/json
{}
UserUser · object · 12 fields
Response example
{  "id": "string",  "identity": {    "type": "CONSUMER",    "id": "string"  },  "name": "string",  "surname": "string",  "email": "string",  "mobile": {    "countryCode": "string",    "number": "string"  },  "active": true,  "dateOfBirth": {    "year": 0,    "month": 0,    "day": 0  },  "tag": "string",  "countryOfResidence": "string",  "locale": "en-GB",  "brand": "string"}